#ifndef _JAVA_H
#define _JAVA_H

namespace java {

template< class T >
void swap_endian(T & pX)
{
   char & raw = reinterpret_cast< char& >(pX);
   std::reverse(&raw, &raw + sizeof(T));
}

}

#endif /* _JAVA_H */
